import 'package:deuna_checkout_widget/deuna_checkout_widget.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return DeUnaCheckoutConfiguration(
      // Set `data` with your configuration data.
      data: const DeUnaCheckoutData(
        env: DeUnaCheckoutEnv.stg, // default value is prod
        apiKey: 'YOUR_API_KEY',
      ),
      child: MaterialApp(
        title: 'Flutter Demo',
        theme: ThemeData(
          primarySwatch: Colors.blue,
        ),
        home: const MyHomePage(title: 'DeUna Checkout Demo'),
      ),
    );
  }
}

class MyHomePage extends StatefulWidget {
  const MyHomePage({Key? key, required this.title}) : super(key: key);

  final String title;

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  void openCheckout() {
    Navigator.push<void>(
      context,
      MaterialPageRoute(
        builder: (context) => const CheckoutExample(
          orderToken: 'YOUR_ORDER_TOKEN',
        ),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: const <Widget>[
            Text(
              'Press the action button to open the checkout',
            ),
          ],
        ),
      ),
      floatingActionButton: FloatingActionButton(
        onPressed: openCheckout,
        tooltip: 'Open Checkout',
        child: const Icon(Icons.add),
      ),
    );
  }
}

class CheckoutExample extends StatelessWidget {
  const CheckoutExample({
    Key? key,
    required this.orderToken,
  }) : super(key: key);

  final String orderToken;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('DeUna Checkout Widget'),
      ),
      body: Center(
        child: DeUnaCheckout(
          orderToken: orderToken,
        ),
      ),
    );
  }
}
