import 'package:deuna_checkout_widget/src/models/models.dart';
import 'package:meta/meta.dart';

/// {@template deuna_checkout_widget.DeUnaCheckoutData}
/// Configuration of the DeUnaCheckout widget.
/// {@endtemplate}
@immutable
class DeUnaCheckoutData {
  /// {@macro deuna_checkout_widget.DeUnaCheckoutData}
  const DeUnaCheckoutData({
    this.env = DeUnaCheckoutEnv.prod,
    this.analyticsConfig,
    required this.apiKey,
  });

  /// The `apiKey` to use the checkout service.
  final String apiKey;

  /// Server envieronment.
  final DeUnaCheckoutEnv env;

  /// {@macro deuna_checkout_widget.AnalyticsConfig}
  final AnalyticsConfig? analyticsConfig;
}
